> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/demand-mix/dimension

> Returns demand mix data for a specified dimension, including partner, channel, advertiser, or platform



## OpenAPI

````yaml /openapi.json get /v1/report/insight/demand-mix/dimension
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/demand-mix/dimension:
    get:
      tags:
        - Reporting/Insights Hub/Demand Mix
        - public
      summary: /report/insight/demand-mix/dimension
      description: >-
        Returns demand mix data for a specified dimension, including partner,
        channel, advertiser, or platform
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: false
          schema:
            type: integer
        - name: range
          in: query
          description: Date range. All ranges exclude today and run up to yesterday
          required: false
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: date_group
          in: query
          description: Date grouping when range=custom
          required: false
          schema:
            type: string
            enum:
              - day
              - month
              - year
            default: day
        - name: rev_type
          in: query
          description: Revenue type
          required: false
          schema:
            type: string
            enum:
              - gross
              - net
            default: gross
        - name: rev_source
          in: query
          description: Revenue source, SaaS or Plug&Play (pap)
          required: false
          schema:
            type: string
            enum:
              - all
              - pap
              - saas
            default: all
        - name: tab
          in: query
          description: Dimension to report on
          required: false
          schema:
            type: string
            enum:
              - partner
              - channel
              - advertiser
              - platform
        - name: platform
          in: query
          description: Filter for when tab=platform
          required: false
          schema:
            type: string
        - name: channel
          in: query
          description: Filter for when tab=channel
          required: false
          schema:
            type: string
        - name: partner
          in: query
          description: Filter for when tab=partner
          required: false
          schema:
            type: string
        - name: advertiser
          in: query
          description: Filter for when tab=advertiser
          required: false
          schema:
            type: string
        - name: environment
          in: query
          description: Environment or platform to report from
          required: false
          schema:
            type: string
            enum:
              - all
              - app
              - web
            default: all
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      currency:
                        type: string
                      dimensions:
                        type: array
                        items:
                          type: string
                      data:
                        type: object
                        properties:
                          ad_requests:
                            type: object
                            properties:
                              total:
                                type: array
                                items:
                                  type: string
                              sum:
                                type: integer
                            required:
                              - total
                              - sum
                          revenue:
                            type: object
                            properties:
                              total:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              direct:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              programmatic:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              fallback:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              untracked:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              ci_direct:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              ci_programmatic:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              ci_fallback:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              ci_untracked:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              publisher_direct:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              publisher_programmatic:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              publisher_fallback:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              publisher_untracked:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                            required:
                              - total
                              - direct
                              - programmatic
                              - fallback
                              - untracked
                              - ci_direct
                              - ci_programmatic
                              - ci_fallback
                              - ci_untracked
                              - publisher_direct
                              - publisher_programmatic
                              - publisher_fallback
                              - publisher_untracked
                          impressions:
                            type: object
                            properties:
                              total:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              direct:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              programmatic:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              fallback:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              untracked:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              ci_direct:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              ci_programmatic:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              ci_fallback:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              ci_untracked:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              publisher_direct:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              publisher_programmatic:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              publisher_fallback:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              publisher_untracked:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                            required:
                              - total
                              - direct
                              - programmatic
                              - fallback
                              - untracked
                              - ci_direct
                              - ci_programmatic
                              - ci_fallback
                              - ci_untracked
                              - publisher_direct
                              - publisher_programmatic
                              - publisher_fallback
                              - publisher_untracked
                          viewable_impressions:
                            type: object
                            properties:
                              total:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              direct:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              programmatic:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              fallback:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              untracked:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              ci_direct:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              ci_programmatic:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              ci_fallback:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              ci_untracked:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              publisher_direct:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              publisher_programmatic:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              publisher_fallback:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                              publisher_untracked:
                                type: array
                                items:
                                  type: number
                                  nullable: true
                            required:
                              - total
                              - direct
                              - programmatic
                              - fallback
                              - untracked
                              - ci_direct
                              - ci_programmatic
                              - ci_fallback
                              - ci_untracked
                              - publisher_direct
                              - publisher_programmatic
                              - publisher_fallback
                              - publisher_untracked
                        required:
                          - ad_requests
                          - revenue
                          - impressions
                          - viewable_impressions
                    required:
                      - currency
                      - dimensions
                      - data
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  currency: GBP
                  dimensions:
                    - Ad Exchange
                    - Ad server
                    - Header Bidding
                    - Open Bidding
                  data:
                    ad_requests:
                      total: []
                      sum: 1227014
                    revenue:
                      total:
                        - 165.64493500000003
                        - 6108.845417000005
                        - 56.032088
                        - 9.199275
                      direct:
                        - null
                        - 6090.406587000004
                        - null
                        - null
                      programmatic:
                        - 165.64493500000003
                        - null
                        - 56.032088
                        - 9.199275
                      fallback:
                        - null
                        - 0
                        - null
                        - null
                      untracked:
                        - null
                        - 18.43883
                        - null
                        - null
                      ci_direct:
                        - null
                        - 0
                        - null
                        - null
                      ci_programmatic:
                        - 5.090314
                        - null
                        - 17.064781
                        - null
                      ci_fallback:
                        - null
                        - null
                        - null
                        - null
                      ci_untracked:
                        - null
                        - null
                        - null
                        - null
                      publisher_direct:
                        - null
                        - 6090.406587000004
                        - null
                        - null
                      publisher_programmatic:
                        - 160.554621
                        - null
                        - 38.967307000000005
                        - 9.199275
                      publisher_fallback:
                        - null
                        - 0
                        - null
                        - null
                      publisher_untracked:
                        - null
                        - 18.43883
                        - null
                        - null
                    impressions:
                      total:
                        - 129389
                        - 486092
                        - 36450
                        - 5036
                      direct:
                        - null
                        - 346071
                        - null
                        - null
                      programmatic:
                        - 129389
                        - null
                        - 36450
                        - 5036
                      fallback:
                        - null
                        - 131445
                        - null
                        - null
                      untracked:
                        - null
                        - 8576
                        - null
                        - null
                      ci_direct:
                        - null
                        - 8653
                        - null
                        - null
                      ci_programmatic:
                        - 19933
                        - null
                        - 11677
                        - null
                      ci_fallback:
                        - null
                        - null
                        - null
                        - null
                      ci_untracked:
                        - null
                        - null
                        - null
                        - null
                      publisher_direct:
                        - null
                        - 337418
                        - null
                        - null
                      publisher_programmatic:
                        - 109456
                        - null
                        - 24773
                        - 5036
                      publisher_fallback:
                        - null
                        - 131445
                        - null
                        - null
                      publisher_untracked:
                        - null
                        - 8576
                        - null
                        - null
                    viewable_impressions:
                      total:
                        - 90765
                        - 167510
                        - 8087
                        - 2559
                      direct:
                        - null
                        - 119191
                        - null
                        - null
                      programmatic:
                        - 90765
                        - null
                        - 8087
                        - 2559
                      fallback:
                        - null
                        - 47494
                        - null
                        - null
                      untracked:
                        - null
                        - 825
                        - null
                        - null
                      ci_direct:
                        - null
                        - 5151
                        - null
                        - null
                      ci_programmatic:
                        - 12144
                        - null
                        - 2487
                        - null
                      ci_fallback:
                        - null
                        - null
                        - null
                        - null
                      ci_untracked:
                        - null
                        - null
                        - null
                        - null
                      publisher_direct:
                        - null
                        - 114040
                        - null
                        - null
                      publisher_programmatic:
                        - 78621
                        - null
                        - 5600
                        - 2559
                      publisher_fallback:
                        - null
                        - 47494
                        - null
                        - null
                      publisher_untracked:
                        - null
                        - 825
                        - null
                        - null
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````